import store from '@/store'
import { baseURL } from '@/utils/http'

// 查看 权限 图片 /视频 、音频
export const authFilesLookFu = (name: string, url: string) => {
  let flag = false

  const nameRes = name ? name : ''

  // pdf和txt 直接新窗口打开
  const arr0: ('.pdf' | '.txt')[] = ['.pdf', '.txt']
  arr0.forEach(v => {
    if (nameRes.toLowerCase().endsWith(v)) {
      if (url) window.open(baseURL + url)
      flag = true
    }
  })

  // 图片使用 antd的图片预览组件
  const arr1 = ['.png', '.jpg', '.jpeg', '.gif']
  arr1.forEach(v => {
    if (nameRes.toLowerCase().endsWith(v)) {
      if (url)
        store.dispatch({
          type: 'layout/lookBigImg',
          payload: {
            url: baseURL + url,
            show: true
          }
        })

      flag = true
    }
  })

  // 视频和音频 使用自己的封装的组件
  let type: '' | 'video' | 'audio' = ''
  const arr2 = ['.mp3', '.wav']
  arr2.forEach(v => {
    if (nameRes.toLowerCase().endsWith(v)) {
      type = 'audio'
      flag = true
    }
  })

  if (nameRes.toLowerCase().endsWith('.mp4')) {
    type = 'video'
    flag = true
  }

  if (type && url)
    store.dispatch({
      type: 'layout/lookDom',
      payload: {
        src: url,
        type
      }
    })

  // docx xlsx使用插件
  // const arr3: (".docx" | ".xlsx")[] = [".docx", ".xlsx"];
  // arr3.forEach((v) => {
  //   if (nameRes.toLowerCase().endsWith(v)) {
  //     if (url) {
  //       noAuth
  //         ? store.dispatch({
  //             type: "layout/fileLookUrl",
  //             payload: { url: baseURL + url, name: v },
  //           })
  //         : urlChangeFu(url, false, v, nameRes);
  //     }
  //     flag = true;
  //   }
  // });

  return flag
}
